# [MDUI](https://mdui.org)

[![GitHub version](https://badge.fury.io/gh/zdhxiong%2Fmdui.svg)](https://badge.fury.io/gh/zdhxiong%2Fmdui)
![Bower version](https://img.shields.io/bower/v/mdui.svg)
[![npm version](https://img.shields.io/npm/v/mdui.svg)](https://www.npmjs.com/package/mdui)
[![dependencies Status](https://david-dm.org/zdhxiong/mdui/status.svg)](https://david-dm.org/zdhxiong/mdui)
[![devDependencies Status](https://david-dm.org/zdhxiong/mdui/dev-status.svg)](https://david-dm.org/zdhxiong/mdui?type=dev)
[![Build Status](https://travis-ci.org/zdhxiong/mdui.svg?branch=master)](https://travis-ci.org/zdhxiong/mdui)
[![CDNJS](https://img.shields.io/cdnjs/v/mdui.svg)](https://cdnjs.com/libraries/mdui)

MDUI 是一个基于 Material Design 的前端框架。

QQ群：[635509201](https://jq.qq.com/?_wv=1027&k=53jpYKH)

## [中文文档](https://mdui.org/docs)

## 特性

### 轻量级

- CSS 文件仅 **26.7KB minified + gzip**
- JavaScript 文件仅 **14KB minified + gzip**

### 多主题

CSS 文件中已经包含了 **19种主色主题**、**16种强调色主题**、**1种夜间主题**，只需添加一个 CSS 类，即可实现主题的切换。

### 响应式

移动优先，可适配所有屏幕。

### 无依赖

MDUI 使用纯 JavaScript 编写，没有任何依赖。

## 获取 MDUI

可以通过下列方式获取 MDUI：

- [下载压缩包](https://github.com/zdhxiong/mdui/releases)
- 从 CDN 获取：
  - cdnjs: [https://cdnjs.com/libraries/mdui](https://cdnjs.com/libraries/mdui) （国外访问较快）
  - bootcdn: [http://www.bootcdn.cn/mdui/](http://www.bootcdn.cn/mdui/) （国内访问较快）
- 通过 npm 安装: `npm install mdui`
- 通过 Bower 安装: `bower install mdui`
- 从 Github 下载源码: `git clone https://github.com/zdhxiong/mdui.git`

### 目录结构

在压缩包中存在下面的目录和文件：

```
mdui/
├── css/
│   ├── mdui.css
│   └── mdui.min.css
├── js/
│   ├── mdui.js
│   └── mdui.min.js
├── fonts/
│   └── roboto/
│       └── ...
└── icons/
    └── material-icons/
        └── ...
```

## 兼容性

MDUI 在下列浏览器中经过测试

- IE 10+
- 最新版的 Firefox、Chrome、Safari、Edge

## 赞助

赞助以帮助 MDUI 持续更新

![通过支付宝赞助](https://ww1.sinaimg.cn/large/63f511e3gy1ffhw0jj5n4j206o089dge.jpg)
![通过微信赞助](https://ww1.sinaimg.cn/large/63f511e3gy1ffhw0vkaeaj206o0890ta.jpg)
[![通过 Paypal 赞助](https://ww1.sinaimg.cn/large/63f511e3gy1fff6937xzbj203w00y3yc.jpg)](https://www.paypal.me/zdhxiong/5)
